%define	major 2
%define libname %mklibname oggz %{major}
%define develname %mklibname oggz -d

Summary:	Simple programming interface for Ogg files and streams
Name:		liboggz
Version:	1.1.1
Release:	%mkrel 3
Group:		System/Libraries
License:	BSD-like
URL:		http://www.xiph.org/oggz/
Source0:	http://downloads.xiph.org/releases/liboggz/%{name}-%{version}.tar.gz
BuildRequires:	libogg-devel >= 1.0
#disabling doxygen because of obsolete instructions
#BuildRequires:	doxygen
BuildRequires:	docbook-utils

%description
Oggz provides a simple programming interface for reading and writing Ogg files
and streams. Ogg is an interleaving data container developed by Monty at
Xiph.Org, originally to support the Ogg Vorbis audio format.

%package -n	%{libname}
Summary:	Simple programming interface for Ogg files and streams
Group:          System/Libraries

%description -n	%{libname}
Oggz provides a simple programming interface for reading and writing Ogg files
and streams. Ogg is an interleaving data container developed by Monty at
Xiph.Org, originally to support the Ogg Vorbis audio format.

%package -n	%{develname}
Summary:	Files needed for development using liboggz
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname oggz 1 -d}

%description -n	%{develname}
Oggz provides a simple programming interface for reading and writing Ogg files
and streams. Ogg is an interleaving data container developed by Monty at
Xiph.Org, originally to support the Ogg Vorbis audio format.

This package contains the header files and documentation needed for development
using liboggz.

%package	tools 
Summary:	Various tools using the liboggz library
Group:		Development/C
Requires:	%{libname} = %{version}

%description	tools
This package contains various tools using the liboggz library.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --disable-static
%make

%check
%make check

%install
%makeinstall_std

# cleanup
rm -rf %{buildroot}%{_docdir}/liboggz

# don't ship .la
find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc doc/liboggz/html/*
%dir %{_includedir}/oggz
%{_includedir}/oggz/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/oggz.pc

%files tools
%{_bindir}/oggz*
%{_mandir}/man1/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 357915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 1.1.1-2.mga3
+ Revision: 307544
- cleanup spec

* Tue Jan 25 2011 ahmad <ahmad> 1.1.1-2.mga1
+ Revision: 39492
- drop old/unneeded scriptlets
- don't ship .a, .la
- imported package liboggz

